# Generated from tdiary-contrib-5.1.7.gem by gem2rpm -*- rpm-spec -*-
%global gem_name tdiary-contrib

Name: rubygem-%{gem_name}
Version: 5.1.7
Release: 1%{?dist}
Summary: tDiary contributions package
License: GPL-2 and/or others
URL: http://www.tdiary.org/
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec)
# BuildRequires: rubygem(simplecov)
# BuildRequires: rubygem(webmock)
# BuildRequires: rubygem(ruby-debug-ide)
# BuildRequires: rubygem(debase)
BuildArch: noarch

%description
tDiary contributions package that includes plugins, styles, utilities,
libraries, filters, and extended io.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/filter
%{gem_instdir}/io
%{gem_instdir}/js
%{gem_libdir}
%{gem_instdir}/misc
%{gem_instdir}/plugin
%{gem_instdir}/style
%{gem_instdir}/util
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.en.md
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%doc %{gem_instdir}/doc
%{gem_instdir}/spec

%changelog
* Thu Sep 16 2021 mockbuilder - 5.1.7-1
- Initial package
